<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
CommitUpdates Method (IEdmHistoryUpdate)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmHistoryUpdate Interface : CommitUpdates Method (IEdmHistoryUpdate)

Visual Basic
C#
C++/CLI
Commits all of the updates in this batch.

# Syntax

Visual Basic |
--- | ---

    Sub CommitUpdates()

C# |
--- | ---

    void CommitUpdates()

C++/CLI |
--- | ---

    void CommitUpdates();

# Example

See the IEdmHistoryUpdate examples.

# Remarks

This method must be called after calling IEdmHistoryUpdate::UpdateVersionComment and IEdmHistoryUpdate::UpdateRevisionComment, or all updates are discarded.

Return codes:

- S_OK: The method successfully executed.

# See Also

####

IEdmHistoryUpdate Interface
IEdmHistoryUpdate Members

# Availability

SOLIDWORKS PDM Professional 2008